## ros-kinetic-khi-rs-ikfast-plugin 1.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(khi_rs_ikfast_plugin)

add_compile_options(-std=c++11)

find_package(catkin REQUIRED COMPONENTS
  moveit_core
  pluginlib
  roscpp
  tf_conversions
)

include_directories(${catkin_INCLUDE_DIRS})

catkin_package(
  LIBRARIES
  CATKIN_DEPENDS
    moveit_core
    pluginlib
    roscpp
    tf_conversions
)

include_directories(include)

set(IKFAST_LIBRARY_NAME rs080n_manipulator_moveit_ikfast_plugin)

find_package(LAPACK REQUIRED)

add_library(${IKFAST_LIBRARY_NAME} src/rs080n_manipulator_ikfast_moveit_plugin.cpp)
target_link_libraries(${IKFAST_LIBRARY_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES} ${LAPACK_LIBRARIES})

install(TARGETS ${IKFAST_LIBRARY_NAME} LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(
  FILES
  rs080n_manipulator_moveit_ikfast_plugin_description.xml
  DESTINATION
  ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-khi-rs-ikfast-plugin (1.2.0-5xenial) xenial; urgency=high



 -- matsui_hiro <matsui_hiro@khi.co.jp>  Tue, 26 Jan 2021 15:00:00 -0000

ros-kinetic-khi-rs-ikfast-plugin (1.1.2-5xenial) xenial; urgency=high



 -- matsui_hiro <matsui_hiro@khi.co.jp>  Thu, 06 Jun 2019 15:00:00 -0000

ros-kinetic-khi-rs-ikfast-plugin (1.1.1-5xenial) xenial; urgency=high



 -- matsui_hiro <matsui_hiro@khi.co.jp>  Wed, 24 Apr 2019 15:00:00 -0000

ros-kinetic-khi-rs-ikfast-plugin (1.1.0-5xenial) xenial; urgency=high

  * Merge pull request #10 <https://github.com/Kawasaki-Robotics/khi_robot/issues/10> from d-nakamichi/khi_prefix
    Prefix all pkgs with 'khi_'
  * Convert rs_* to khi_rs_*
  * Contributors: Hiroki Matsui, nakamichi_d

 -- matsui_hiro <matsui_hiro@khi.co.jp>  Wed, 10 Apr 2019 15:00:00 -0000

ros-kinetic-khi-rs-ikfast-plugin (1.0.0-5xenial) xenial; urgency=high

  * Refactoring
  * Contributors: matsui_hiro, nakamichi_d

 -- matsui_hiro <matsui_hiro@khi.co.jp>  Wed, 27 Mar 2019 15:00:00 -0000

ros-kinetic-khi-rs-ikfast-plugin (0.9.4-5xenial) xenial; urgency=high



 -- matsui_hiro <matsui_hiro@khi.co.jp>  Thu, 24 Jan 2019 15:00:00 -0000

ros-kinetic-khi-rs-ikfast-plugin (0.9.3-5xenial) xenial; urgency=high



 -- matsui_hiro <matsui_hiro@khi.co.jp>  Sun, 20 Jan 2019 15:00:00 -0000

ros-kinetic-khi-rs-ikfast-plugin (0.9.2-5xenial) xenial; urgency=high

  * RESTART function
  * KHI Command service
  * duAro URDF modification
  * RS080N
  * Unifying RS series URDF/Gazebo into rs_description, rs_gazebo
  * Modification of ACTIVATING state
  * Modification of QUIT state
  * Modification of state definition
  * Changing start position "ALL 0 degree" to "Current degree position"
  * Contributors: matsui_hiro, nakamichi_d

 -- matsui_hiro <matsui_hiro@khi.co.jp>  Wed, 26 Dec 2018 15:00:00 -0000

=== debian/control ===
Source: ros-kinetic-khi-rs-ikfast-plugin
Section: misc
Priority: optional
Maintainer: matsui_hiro <matsui_hiro@khi.co.jp>
Build-Depends: debhelper (>= 9.0.0), liblapack-dev, ros-kinetic-catkin, ros-kinetic-moveit-core, ros-kinetic-pluginlib, ros-kinetic-roscpp, ros-kinetic-tf-conversions
Homepage: http://ros.org/wiki/khi_robot
Standards-Version: 3.9.2

Package: ros-kinetic-khi-rs-ikfast-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, liblapack-dev, ros-kinetic-moveit-core, ros-kinetic-pluginlib, ros-kinetic-roscpp, ros-kinetic-tf-conversions
Description: The khi_rs_ikfast_plugin package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-khi-rs-ikfast-plugin//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
